# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "moosicbox_qobuz"
version = "0.3.0"
authors = ["Braden Steffaniak"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "MoosicBox Qobuz package"
readme = "README.md"
keywords = [
    "audio",
    "qobuz",
]
categories = [
    "multimedia",
    "network-programming",
]
license = "MPL-2.0"
repository = "https://github.com/MoosicBox/MoosicBox"

[package.metadata]
examples = true

[features]
api = [
    "dep:actix-web",
    "moosicbox_files/api",
    "moosicbox_menu_models/api",
    "moosicbox_music_api/api",
    "moosicbox_music_models/api",
    "switchy/database-api",
]
db = ["moosicbox_music_models/db"]
default = [
    "api",
    "db",
    "openapi",
    "scan",
]
fail-on-warnings = [
    "moosicbox_assert/fail-on-warnings",
    "moosicbox_date_utils/fail-on-warnings",
    "moosicbox_files/fail-on-warnings",
    "moosicbox_json_utils/fail-on-warnings",
    "moosicbox_menu_models/fail-on-warnings",
    "moosicbox_music_api/fail-on-warnings",
    "moosicbox_music_api_helpers/fail-on-warnings",
    "moosicbox_music_models/fail-on-warnings",
    "moosicbox_paging/fail-on-warnings",
    "switchy/fail-on-warnings",
    "switchy_async/fail-on-warnings",
]
openapi = [
    "dep:utoipa",
    "moosicbox_files/openapi",
    "moosicbox_menu_models/openapi",
    "moosicbox_music_api/openapi",
    "moosicbox_music_models/openapi",
    "moosicbox_paging/openapi",
]
scan = [
    "db",
    "moosicbox_music_api_helpers/scan",
]

[lib]
name = "moosicbox_qobuz"
path = "src/lib.rs"

[dependencies.actix-web]
version = "4.13.0"
optional = true

[dependencies.async-recursion]
version = "1.1.1"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.base64]
version = "0.22.1"

[dependencies.chrono]
version = "0.4.44"
features = [
    "clock",
    "serde",
]
default-features = false

[dependencies.futures]
version = "0.3.32"

[dependencies.itertools]
version = "0.14.0"

[dependencies.log]
version = "0.4.29"
features = ["release_max_level_trace"]

[dependencies.md5]
version = "0.8.0"

[dependencies.moosicbox_assert]
version = "0.3.0"
default-features = false

[dependencies.moosicbox_date_utils]
version = "0.3.0"
features = ["chrono"]
default-features = false

[dependencies.moosicbox_files]
version = "0.3.0"
features = ["format-flac"]
default-features = false

[dependencies.moosicbox_json_utils]
version = "0.3.0"
features = [
    "database",
    "serde_json",
]
default-features = false

[dependencies.moosicbox_menu_models]
version = "0.3.0"
default-features = false

[dependencies.moosicbox_music_api]
version = "0.3.0"
features = ["auth-username-password"]
default-features = false

[dependencies.moosicbox_music_api_helpers]
version = "0.3.0"
default-features = false

[dependencies.moosicbox_music_models]
version = "0.3.0"
features = ["flac"]
default-features = false

[dependencies.moosicbox_paging]
version = "0.3.0"
default-features = false

[dependencies.regex]
version = "1.12.3"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.strum]
version = "0.28.0"

[dependencies.strum_macros]
version = "0.28.0"

[dependencies.switchy]
version = "0.3.0"
features = [
    "async-tokio",
    "database",
    "http-json",
    "http-reqwest",
    "time-std",
]
default-features = false

[dependencies.switchy_async]
version = "0.3.0"
features = [
    "sync",
    "tokio",
]
default-features = false

[dependencies.thiserror]
version = "2.0.18"

[dependencies.url]
version = "2.5.8"

[dependencies.utoipa]
version = "5.5.0"
features = ["actix_extras"]
optional = true
